Summary:	Header only library for JSON Web Tokens in C++11
Name:		jwt-cpp
Version:	0.7.1
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	https://github.com/Thalhammer/jwt-cpp/releases/download/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	c1bdbd8284cce73e0a21d093b32415b5
Patch0:		system-picojson.patch
URL:		https://thalhammer.github.io/jwt-cpp/
BuildRequires:	cmake >= 3.14
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 1.0.1
BuildRequires:	rpmbuild(macros) >= 1.605
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Header only library for creating and validating JSON Web Tokens in
C++11.

%package devel
Summary:	Header only library for JSON Web Tokens in C++11
Group:		Development/Libraries
Requires:	libstdc++-devel
Requires:	openssl-devel >= 1.0.1
Requires:	picojson-devel

%description devel
Header only library for creating and validating JSON Web Tokens in
C++11.

%prep
%setup -qc
%patch -P0 -p1

%build
%cmake -B build \
	-DJWT_CMAKE_FILES_INSTALL_DIR:PATH=%{_datadir}/cmake/jwt-cpp \
	-DJWT_BUILD_EXAMPLES:BOOL=OFF \
	-DJWT_DISABLE_PICOJSON:BOOL=ON

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc LICENSE README.md
%{_includedir}/jwt-cpp
%{_datadir}/cmake/jwt-cpp
%changelog
* Thu May 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jwt-cpp.git;a=log;h=master

* Wed May 07 2025 Jan Palus <atler@pld-linux.org> f1100e1
- new

